Subject: Re: Does NetworkManager kill IPv6 connections?

From: Dan Williams <[email-masked]>
Date: Thu, 04 Sep 2014 13:17:05 -0500

On Thu, 2014-09-04 at 14:47 +0000, David Laight wrote:
> I was running a overnight test that failed because an (almost idle) IPv6 connection
> unexpectedly disconnected.
> 30 seconds before the disconnect syslog contains (retyped):
>   NetworkManager[pid]: <info> policy set 'Wired connection 2' (eth0) as default for IPv6 routing and DNS.
> The same message appeared exactly 70 minutes earlier - with no ill effect.
> A second connection between the same pair if addresses (carrying a lot of traffic)
> was unaffected.
> 
> Any idea what/why NetworkManager is doing?
> (Yes I know it is userspace, but it seems to be breaking the kernel....)
> 
> The system is an ubuntu 13.04 desktop (3.8.0-19 kernel), that recent, but
> newer than the ones a lot of our customers use.

Is the version of the Ubuntu "network-manager" package on your systems
0.9.8.0-0ubuntu6.1?

If so, I know we've fixed a ton of issues with IPv6 since 0.9.8.0 (which
was released about 18 months ago), and the ones that may be affecting
you are related to router advertisement timing and expiry.  The latest
stable NM version upstream is 0.9.10 and should contain all of those
fixes.

Since I'm pretty sure this isn't a kernel problem, would you mind
discussing this over on the NM lists here:

https://mail.gnome.org/mailman/listinfo/networkmanager-list

If you don't want to subscribe that's fine, I'll moderate your message
through and we can just use "reply all".

Thanks,
Dan

> I can rerun the test, but don't know what to look for.
> 'eth0' is the only ethernet interface in the system that is actually
> connected to a network.
> 
> Some indications of where to look would be appreciated.
> 
> 	David
> 
> 
> 
> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html